Jump to content
Search In
  • More options...
Find results that contain...
Find results in...
hexatadomon

Brutal Oblige level script issue

Recommended Posts

I just got brutal oblige to work and create the new options needed to enhance the game, but I'm having a scripting issue that I'm trying to resolve. I have Doom 1, 2, Plutonia, Evilution, Freedom (Phase 1+2) and Satan's whisper (which I had thought may be causing at least one of my scripting issues when I was choosing different themes trying to troubleshoot. Basically, the main error I'm seeing when I try to build levels in a full game is:

 

Script error: internal error: unknown_OB_theme: wolf

 

I'm completely stuck, so I must be missing something. Has anyone encountered this before? I haven't found anything online as of yet.

 

Share this post


Link to post

I can't run Brutal Oblige at all, I follow the instructions on the Github, download it as a zip, put everything inside the BrutalOblige-Master folder into a zip, rename it into a .pk3, put it in the addon folder and I keep getting a "Unable to load script "modules.brutaldoom.lua" moduules/brutaldoom.lua:1696: attempt to index field "?" (a nil value)"

 

No idea what's up, hopefully someone can give us a hand, eh?

Share this post


Link to post

You can use Oblige normally without any extra script addons meant for BD. That's how in my day (2011-2014) when I still used the mod I just offsetted the monster info to make up for the extra damage they dealt.

Share this post


Link to post
4 hours ago, Glaice said:

You can use Oblige normally without any extra script addons meant for BD. That's how in my day (2011-2014) when I still used the mod I just offsetted the monster info to make up for the extra damage they dealt.

What does that mean in the context of using monsters that brutal oblige offers? Say, I wanted to add a dark imp or something. How would I manually add such a thing into the ordinary oblige (if I'm understanding you correctly...)

Share this post


Link to post
4 hours ago, Nukesnipe said:

I can't run Brutal Oblige at all, I follow the instructions on the Github, download it as a zip, put everything inside the BrutalOblige-Master folder into a zip, rename it into a .pk3, put it in the addon folder and I keep getting a "Unable to load script "modules.brutaldoom.lua" moduules/brutaldoom.lua:1696: attempt to index field "?" (a nil value)"

 

No idea what's up, hopefully someone can give us a hand, eh?

That would be nice! I did contact the author. We're troubleshooting, but in the meantime I'm removing the files so that way I can play with no issues. Well, there is one. Any time I add an SS nazi, it instead adds a headless zombie guy. All those wads I've made that were met to feature them get replaced. I have no idea how to fix that.

Share this post


Link to post
6 hours ago, Glaice said:

You can use Oblige normally without any extra script addons meant for BD. That's how in my day (2011-2014) when I still used the mod I just offsetted the monster info to make up for the extra damage they dealt.

I am aware of this, yes, but I'm assuming that the addon optimizes Oblige for all the stuff BD/PB adds.  I'm running an Oblige game right now, and it's clear that the maps don't generate with jumping in mind, for instance.  Also, none of the PB stuff like upgrades or higher tier weapons are spawning.

Share this post


Link to post

That sounds like the job of modifying weapons.lua (weapon spawning), pickups.lua (items, ammo and powerups), entities.lua (info for Oblige to know they exist) and monsters.lua (monster information)

Share this post


Link to post

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now
×